Get subledger info
API reference
Returns information about a specific subledger account.
Endpoint: /core/v1/dda/subaccounts/{accountNumber}
GET
https://sandbox.crbcos.com/core/v1/dda/subaccounts/{accountNumber}
Path Parameters
- accountNumberstringrequiredDescription
Response
- accountNumberstringDescription
- accountTypestringDescription
- statusstringDescription
- ledgerTypestringDescription
- titlestringDescription
- currentBalanceIntegerDescription
- availableBalanceIntegerDescription
- holdAmountIntegerDescription
- transactionCountIntegerDescription
- creditLimitintegerDescription
- currencystringDescription
- openedAtstringDescription
- closedAtstringDescription
- masterAccountNumberstringDescription
- customerIdstringDescription
- classificationstringDescription
- beneficiaryObjectDescription
- referenceIdstringDescription
- firstNamestringDescription
- middleNamestringDescription
- lastNamestringDescription
- entityNamestringDescription
- streetAddress1stringDescription
- streetAddress2stringDescription
- citystringDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringDescription
- phoneNumberstringDescription
- emailAddressstringDescription
- notesstringDescription
- taxIdTypestringDescription
- taxIdstringDescription
- birthDatestringDescription
- dateFormedstringDescription
- partnerIdstringDescription
- lastMaintenanceAtstringDescription
- lastTransactedAtstringDescription
- productIdstringDescription
- clientIdentifierstringDescription
- lastModifiedAtstringDescription
- balancesobjectDescription
- accountNumberstringDescription
- isSubAccountbooleanDescription
- currencystringDescription
- currentBalanceintegerDescription
- availableBalanceintegerDescription
- holdAmountintegerDescription
- transactionCountintegerDescription
- lastModifiedAtstringDescription
- lastTransactedAtstringDescription
curl
curl --location 'https://sandbox.crbcos.com/core/v1/dda/subaccounts/302022615264' \
--header 'Authorization: Bearer <token>'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/core/v1/dda/subaccounts/302022615264',
'headers': {
'Authorization': 'Bearer <token>'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import http.client
conn = http.client.HTTPSConnection("sandbox.crbcos.com")
payload = ''
headers = {
'Authorization': 'Bearer <token>'
}
conn.request("GET", "/core/v1/dda/subaccounts/302022615264", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/core/v1/dda/subaccounts/302022615264")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/core/v1/dda/subaccounts/302022615264"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"accountNumber": "302022615264",
"accountType": "Deposit",
"status": "Active",
"ledgerType": "Passthrough",
"productType": "Checking",
"title": "Jerry Penn",
"currentBalance": 0,
"availableBalance": 0,
"holdAmount": 0,
"transactionCount": 0,
"creditLimit": 0,
"currency": "usd",
"openedAt": "2025-06-24T03:05:04.797-04:00",
"masterAccountNumber": "2819503463",
"customerId": "53c34cf0-4cd2-4768-937b-b30000dffdca",
"classification": "Personal",
"beneficiary": {
"firstName": "Jerry",
"lastName": "Penn",
"streetAddress1": "12 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
},
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastMaintenanceAt": "2025-06-24T03:05:04.797-04:00",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"lastModifiedAt": "2025-06-24T03:05:04.8043224-04:00"
}